# std::flat_multiset<Key,Compare,KeyContainer>::size

From cppreference.com
< cpp‎ | container‎ | flat multiset

size_type size() const noexcept; |  | (since C++23)

Returns the number of elements in the container adaptor. Equivalent to: return`` `c` .size().

### Parameters

(none)

### Return value

The number of elements in the container adaptor.

### Complexity

Constant.

### Example

Run this code

    #include <cassert>
    #include <flat_set>

    int main()
    {
        std::flat_multiset<int> nums{4, 2, 4, 2};
        assert(nums.size() == 4);
    }

### See also

empty | checks whether the container adaptor is empty (public member function)
sizessize (C++17)(C++20) | returns the size of a container or array (function template)
max_size | returns the maximum possible number of elements (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/flat_multiset/size&oldid=167606"